> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elumenta.ru/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Email

> Confirm email address with verification token

## Подтверждение email

После регистрации по email вы получите письмо со ссылкой для подтверждения. Извлеките токен из ссылки и выполните запрос:

```bash theme={null}
curl -X POST https://elumenta.ru/api/v2/auth/verify-email \
  -H "Content-Type: application/json" \
  -d '{"token": "token_from_email_link"}'
```

Возвращает `200 OK` при успехе.

## Сброс пароля

Отправьте ссылку для сброса на ваш email:

```bash theme={null}
curl -X POST https://elumenta.ru/api/v2/auth/forgot-password \
  -H "Content-Type: application/json" \
  -d '{"email": "user@example.com"}'
```

Затем подтвердите сброс с помощью токена из письма:

```bash theme={null}
curl -X POST https://elumenta.ru/api/v2/auth/reset-password \
  -H "Content-Type: application/json" \
  -d '{"token": "token_from_email", "new_password": "newSecurePass123"}'
```

Возвращает `200 OK` при успехе.

<Tip>
  Если вы зарегистрировались через Telegram или Google, вы можете добавить email и пароль в [Настройках пользователя](/ru/api-reference/user/settings).
</Tip>
